Name: nasm
Version: 0.98.39
Release: alt1

Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
License: GPL
Group: Development/Other

URL: http://nasm.sourceforge.net/
Source: http://dl.sourceforge.net/nasm/nasm-%version.tar.bz2
Patch1: nasm-0.98.39-overfl.patch

BuildPreReq: groff
# Automatically added by buildreq on Thu May 26 2005
BuildRequires: ghostscript-classic ghostscript-common ghostscript-module-X ghostscript-utils groff-base libgimp-print urw-fonts

%package doc
Summary: Extensive documentation for NASM
Group: Development/Other
#PreReq: /sbin/install-info

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM
Group: Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup -q
%patch1 -p1

%build
%configure
make everything

%install
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_infodir,%_man1dir}
make INSTALLROOT="$RPM_BUILD_ROOT" install
make INSTALLROOT="$RPM_BUILD_ROOT" install_rdf
cd doc
install info/* $RPM_BUILD_ROOT/%_infodir/
gzip -9f *.txt *.ps||true
cd html
ln -sf nasmdoc0.html index.html

%post -p "%install_info nasm.info"

%preun -p "%uninstall_info nasm.info"

%files
%doc CHANGES TODO AUTHORS README doc/internal.doc
%attr(755,root,root) %_bindir/nasm
%attr(755,root,root) %_bindir/ndisasm
%_man1dir/nasm.1*
%_man1dir/ndisasm.1*
%_infodir/nasm.info*

%files doc
%doc doc/nasmdoc.ps.gz doc/nasmdoc.txt.gz doc/html

%files rdoff
%doc rdoff/README
%_bindir/ldrdf
%_bindir/rdf2bin
%_bindir/rdf2com
%_bindir/rdf2ihx
%_bindir/rdfdump
%_bindir/rdflib
%_bindir/rdx

%changelog
* Thu May 26 2005 Victor Forsyuk <force@altlinux.ru> 0.98.39-alt1
- 0.98.39
- Fix yet another vsprintf buffer overflow (RH#152963).

* Mon Jan 24 2005 Stanislav Ievlev <inger@altlinux.org> 0.98.35-alt2
- CAN-2004-1287

* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 0.98.35-alt1.1
- removed patch "boguself2" (this is RH's patch and RH remove it)
- fix building in hasher

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.35-alt1
- 0.98.35
- Rebuilt in new environment
- Added buildrequires

* Fri May 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.32-alt1
- 0.98.32

* Thu Jan 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.22-alt1
- 0.98.22
- Added bouself patch

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.98.08-alt2
- fixed bug  #0000305

* Wed Dec 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.98.08-alt1
- 0.98.08
- Some spec cleanup

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 0.98-6mdk
- Change license

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.98-5mdk
- BM

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>  0.98-4mdk
- use new macros
- make package short-circuit compliant ...
- Andrew Lee <andrew@cle.linux.org.tw> : add Enhanced 3D Now! patch
- move post & postun script from -doc in main package since info pages are
  there ...

* Wed Apr 05 2000 Warly <warly@linux-mandrake.com> 0.98-3mdk
- new group: Development/Other
- spec-helper

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added BuildPreReq.
- changed doc dirs.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First spec
